#!/bin/bash
for f in $(ls | grep -v "\./")
do
   git -C "${f}" branch -vv >/dev/null 2>&1
   if [ ${?} -eq 0 ]
   then
       git -C "${f}" pull --rebase >/dev/null 2>&1
       if [ $? -eq 0 ]
       then
           echo -e "${f} [$(tput setaf 2)done\033[00m]"
       else
           echo -e "${f} [$(tput setaf 1)error\033[00m]"
       fi
   fi
done
